.post-create {
  .title {
    display: flex;
    color: $color-primary;
    align-items: center;
    justify-content: center;
    font-size: 2.2rem;
    margin-top: 3rem;
  }

  .text {
    padding: 0 7rem;
  }

  .icon {
    cursor: pointer;

    &.inactive {
      color: $color-grey-lines;
    }
  }

  .upload-file {
    position: relative;
    width: 50%;
    min-height: 45rem;
    margin: 4rem auto;
    background-color: white;
  }

  .upload-button,
  .delete.button {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);

    &.hide {
      display: none;
    }
  }

  .upload-button {
    padding: 1.2rem 4rem;
    border-radius: 1.5rem;

    input {
      display: none;
    }
  }

  .delete.button {
    background-color: red;
    color: white;

    &:hover {
      background-color: darken(red, 8%);
    }
  }

  .image-container {
    width: 100%;

    img {
      display: none;
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      object-fit: contain;

      &.active {
        display: block;
      }
    }
  }

  .caption {
    text-align: center;
  }

  .caption-textarea {
    display: block;
    width: 50%;
    border: none;
    border-bottom: 0.2rem solid $color-primary;
    padding: 0.5rem;
    font-size: 1.7rem;
    margin: 0 auto;
    resize: none;

    &::placeholder {
      color: $color-grey;
    }

    &:focus {
      outline: 0;
      border-color: darken($color-primary, 8%);
    }

    &::-webkit-scrollbar {
      display: none;
    }
  }

  .border-top-left,
  .border-bottom-right {
    position: absolute;
    background-color: $color-primary;
    width: 13rem;
    height: 13rem;
    z-index: -1;

    &.hide {
      display: none;
    }
  }

  .border-top-left {
    left: -0.5rem;
    top: -0.5rem;
  }

  .border-bottom-right {
    bottom: -0.5rem;
    right: -0.5rem;
  }

  .create-post.button {
    display: block;
    padding: 1.2rem 4rem;
    border-radius: 1.2rem;
    margin: 4rem auto 8rem auto;
  }

  .carousel-item img,
  .carousel-item video {
    width: 100%;
  }

  .carousel-control-prev,
  .carousel-control-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 5rem;
    height: 5rem;
    opacity: 1;
    cursor: pointer;
  }

  .carousel-control-prev {
    left: -7rem;
  }

  .carousel-control-next {
    right: -7rem;
  }

  .carousel-control-prev-icon,
  .carousel-control-next-icon {
    width: 5rem;
    height: 5rem;
  }

  .carousel-control-prev-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%233bb3df' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");

    &:hover {
      background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%233297d2' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
    }
  }

  .carousel-control-next-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%233bb3df' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");

    &:hover {
      background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%233297d2' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
    }
  }
}
